# Class RemoteStub

java.lang.Object
java.rmi.server.RemoteObject
java.rmi.server.RemoteStub

All Implemented Interfaces:
  `Serializable, Remote`

Direct Known Subclasses:
  `RMIConnectionImpl_Stub, RMIServerImpl_Stub`

@Deprecated public abstract class RemoteStub extends RemoteObject
Deprecated.
Statically generated stubs are deprecated, since stubs are generated dynamically. See `UnicastRemoteObject` for information about dynamic stub generation.
The `RemoteStub` class is the common superclass of statically generated client stubs and provides the framework to support a wide range of remote reference semantics. Stub objects are surrogates that support exactly the same set of remote interfaces defined by the actual implementation of the remote object.

Since:
  1.1
See Also:
  - Serialized Form

## Field Summary

### Fields declared in class RemoteObject

`ref`
Modifier and Type
Field
Description
`protected RemoteRef`
`ref`
The object's remote reference.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`RemoteStub()`
Deprecated.
Constructs a `RemoteStub`.
`protected`
`RemoteStub(RemoteRef ref)`
Deprecated.
Constructs a `RemoteStub` with the specified remote reference.

## Method Summary

Modifier and Type
Method
Description
`protected static void`
`setRef(RemoteStub stub, RemoteRef ref)`
Deprecated.
No replacement.

### Methods declared in class RemoteObject

`equals, getRef, hashCode, toString, toStub`
Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
Compares two remote objects for equality.
`RemoteRef`
`getRef()`
Returns the remote reference for the remote object.
`int`
`hashCode()`
Returns a hashcode for a remote object.
`String`
`toString()`
Returns a String that represents the value of this remote object.
`static Remote`
`toStub(Remote obj)`
Returns the stub for the remote object `obj` passed as a parameter.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### RemoteStub

protected RemoteStub()
Deprecated.
Constructs a `RemoteStub`.

### RemoteStub

protected RemoteStub(RemoteRef ref)
Deprecated.
Constructs a `RemoteStub` with the specified remote reference.

Parameters:
  `ref` - the remote reference
Since:
  1.1

## Method Details

### setRef

@Deprecated protected static void setRef(RemoteStub stub, RemoteRef ref)
Deprecated.
No replacement. The `setRef` method was intended for setting the remote reference of a remote stub. This is unnecessary, since `RemoteStub`s can be created and initialized with a remote reference through use of the `RemoteStub(RemoteRef)` constructor.
Throws `UnsupportedOperationException`.

Parameters:
  `stub` - the remote stub
  `ref` - the remote reference
Throws:
  `UnsupportedOperationException` - always
Since:
  1.1